services:
    _defaults:
        tags: [kernel.event_subscriber]

    Claroline\TagBundle\Subscriber\Tool\TagsSubscriber: ~

    Claroline\TagBundle\Subscriber\PlatformSubscriber:
        arguments:
            - '@security.authorization_checker'
            - '@twig'

    Claroline\TagBundle\Subscriber\WorkspaceSubscriber:
        arguments:
            - '@Claroline\TagBundle\Manager\TagManager'

    Claroline\TagBundle\Subscriber\ResourceNodeSubscriber:
        arguments:
            - '@Claroline\TagBundle\Manager\TagManager'
